# Request a comparison quote

Request price and speed comparison data for money transfer providers on a given currency route.

You must provide either sendAmount or recipientGetsAmount (but not both).

Endpoint: GET /v4/comparisons

## Query parameters:

  - `sourceCurrency` (string, required)
    ISO 4217 source currency code
    Example: "GBP"

  - `targetCurrency` (string, required)
    ISO 4217 target currency code
    Example: "EUR"

  - `sendAmount` (number)
    Amount to send in source currency. Must provide either sendAmount or recipientGetsAmount.
    Example: 10000

  - `recipientGetsAmount` (number)
    Amount to be received in target currency. Must provide either sendAmount or recipientGetsAmount.

  - `midMarketRate` (number)
    Current mid-market rate between the source and target currency

  - `wiseFee` (number)
    Wise's fee, if the Wise quote is known

  - `wiseEstimatedDelivery` (string)
    Wise's estimated delivery timestamp, if the Wise quote is known

  - `wiseQuoteCreatedTime` (string)
    Timestamp when the Wise quote was created

  - `payInMethod` (string)
    Change the pay-in method of the Wise quote only (all other quotes will remain as bank transfer)

  - `sourceCountry` (string)
    Filter by source country (ISO 3166-1 Alpha-2 code)

  - `targetCountry` (string)
    Filter by target country (ISO 3166-1 Alpha-2 code)

  - `providerCountry` (string)
    Filter by provider country (ISO 3166-1 Alpha-2 code)

  - `filter` (string)
    Filter by most popular competitors
    Enum: "POPULAR"

  - `numberOfProviders` (integer)
    Number of popular competitors to return if filter is set to POPULAR - default value is 4

  - `providerTypes` (array)
    Filter by provider type
    Enum: "bank", "moneytransferprovider", "travelMoney"

  - `providers` (string)
    Filter by specific provider aliases

  - `excludePartners` (boolean)
    Exclude Wise's partner banks - default true

  - `includeWise` (boolean)
    Overrides filters to ensure Wise data is returned, even if exclusionary filters are applied

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `sourceCurrency` (string,null)
    ISO 4217 source currency code
    Example: "GBP"

  - `targetCurrency` (string,null)
    ISO 4217 target currency code
    Example: "EUR"

  - `sourceCountry` (string,null)
    Source country (ISO 3166-1 Alpha-2 code)

  - `targetCountry` (string,null)
    Target country (ISO 3166-1 Alpha-2 code)

  - `providerCountry` (string,null)
    Provider country (ISO 3166-1 Alpha-2 code)

  - `providerTypes` (array)
    List of provider types included in the response
    Example: ["bank","moneyTransferProvider"]

  - `amount` (number)
    The comparison amount
    Example: 10000

  - `amountType` (string)
    Whether the amount represents a send amount or recipient gets amount
    Example: "SEND"

  - `providers` (array)
    List of providers with their estimated quotes

  - `providers.id` (integer)
    Provider ID
    Example: 39

  - `providers.alias` (string)
    Provider alias (lowercase slug name)
    Example: "wise"

  - `providers.name` (string)
    Provider name (presentational / formal name)
    Example: "Wise"

  - `providers.logos` (object)
    URLs pointing to provider logos (svg, png)

  - `providers.logos.normal` (object)

  - `providers.logos.normal.svgUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo.svg"

  - `providers.logos.normal.pngUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo.png"

  - `providers.logos.inverse` (object)

  - `providers.logos.inverse.svgUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo_inverse.svg"

  - `providers.logos.inverse.pngUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo_inverse.png"

  - `providers.logos.white` (object)

  - `providers.logos.white.svgUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo_white.svg"

  - `providers.logos.white.pngUrl` (string,null)
    Example: "https://wise.com/public-resources/assets/logos/wise-personal/logo_white.png"

  - `providers.logos.circle` (object)

  - `providers.logos.circle.svgUrl` (string,null)
    Example: "https://dq8dwmysp7hk1.cloudfront.net/logos/wise-mark.svg"

  - `providers.logos.circle.pngUrl` (string,null)

  - `providers.logos.altText` (string)
    Alt text for the provider logo
    Example: "Wise"

  - `providers.type` (string)
    Provider type: bank, money transfer provider, or travel money
    Example: "moneyTransferProvider"

  - `providers.partner` (boolean)
    Whether a partner of Wise or not

  - `providers.quotes` (array)
    An array of estimated quotes per provider

  - `providers.quotes.rate` (number)
    The live estimated exchange rate for the provider for this quote
    Example: 1.15989

  - `providers.quotes.fee` (number)
    The estimated fee for the provider for this quote
    Example: 37.12

  - `providers.quotes.dateCollected` (string)
    The date of collection for the original quote
    Example: "2019-10-22T14:36:43Z"

  - `providers.quotes.sourceCountry` (string,null)
    Source country (ISO 3166-1 Alpha-2 code)

  - `providers.quotes.targetCountry` (string,null)
    Target country (ISO 3166-1 Alpha-2 code)

  - `providers.quotes.markup` (number)
    Percentage markup on the quoted rate compared to the mid-market rate

  - `providers.quotes.receivedAmount` (number,null)
    The total estimated received amount for the provider for this quote (non-null only if a send amount request was made)
    Example: 11555.84

  - `providers.quotes.sendAmount` (number,null)
    The total estimated send amount for the provider for this quote (non-null only if a recipient gets amount request was made)

  - `providers.quotes.isConsideredMidMarketRate` (boolean)
    Whether the provider's rate is close enough to the true mid-market rate to be classified as a mid-market rate
    Example: true

  - `providers.quotes.deliveryEstimation` (object)
    Delivery estimation details - i.e. a speed estimate

  - `providers.quotes.deliveryEstimation.duration` (object)
    Duration range

  - `providers.quotes.deliveryEstimation.duration.min` (string,null)
    Minimum quoted time for transaction delivery (ISO 8601 duration format)
    Example: "PT20H8M16.305111S"

  - `providers.quotes.deliveryEstimation.duration.max` (string,null)
    Maximum quoted time for transaction delivery (ISO 8601 duration format)
    Example: "PT20H8M16.305111S"

  - `providers.quotes.deliveryEstimation.providerGivesEstimate` (boolean)
    Whether a provider publicly surfaces a speed estimate or not
    Example: true


